package com.lantone.qc.kernel.catalogue.medicalwriting;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.NoticeOfConversationDoc;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : NOT0718
 * @Description : 缺入院病情告知书
 * @Author : 胡敬
 * @Date: 2020-04-21 18:40
 */
@Component
public class MEDI02890 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        NoticeOfConversationDoc noticeOfConversationDoc = inputInfo.getNoticeOfConversationDoc();
        if (noticeOfConversationDoc == null){
            status.set("0");
            return;
        }
        Map<String, String> structureMap = noticeOfConversationDoc.getStructureMap();
        if (structureMap.containsKey("入院病情告知书")){
            status.set("0");
        }
    }
}